Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.query
Interface AggregateListener

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  JDBCAggregateListener

public interface AggregateListener
extends Serializable

An aggregate listener aggregates data produced by a JDOQL query.

Method Summary
`Object` | `evaluate(Collection args, Class[] argClasses, Collection candidates, KodoPersistenceManager pm)` Return the value of this aggregate.
`boolean` | `expectsArguments()` Return whether this function expects to act on arguments.
`String` | `getTag()` Return the tag that this listener listens for.
`Class` | `getType(Class[] argClasses)` Return the expected type of the result of this listener.

Method Detail

### getTag

    public String getTag()

  Return the tag that this listener listens for.

### expectsArguments

    public boolean expectsArguments()

  Return whether this function expects to act on arguments. Some function may not need arguments; for example, a function to count the number of objects that match a given filter might be of the form: `count()`.

### evaluate

    public Object evaluate(Collection args,
                           Class[] argClasses,
                           Collection candidates,
                           KodoPersistenceManager pm)

  Return the value of this aggregate.
  Parameters:
    `args` - for each candidate, the value of the arguments to the function; will be null if this aggregate does not expect an argument; if this function has multiple arguments, each element will be an array
    `argClasses` - the expected class of each argument element
    `candidates` - the candidate objects being evaluated
    `pm` - a persistence manager to use if needed
  Returns:
    the value of the aggregate
  Throws:
    `JDOUserException` - if this aggregate does not support in-memory operation

### getType

    public Class getType(Class[] argClasses)

  Return the expected type of the result of this listener.
  Parameters:
    `argClasses` - the expected classes of the argument, or null if no arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.